## AgsResampleUtil

AgsResampleUtil — Boxed type of resample util

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsResampleUtil * | ags_resample_util_alloc ()
void | ags_resample_util_init ()
gpointer | ags_resample_util_copy ()
void | ags_resample_util_free ()
gpointer | ags_resample_util_get_destination ()
void | ags_resample_util_set_destination ()
guint | ags_resample_util_get_destination_stride ()
void | ags_resample_util_set_destination_stride ()
gpointer | ags_resample_util_get_source ()
void | ags_resample_util_set_source ()
guint | ags_resample_util_get_source_stride ()
void | ags_resample_util_set_source_stride ()
guint | ags_resample_util_get_buffer_length ()
void | ags_resample_util_set_buffer_length ()
AgsSoundcardFormat | ags_resample_util_get_format ()
void | ags_resample_util_set_format ()
guint | ags_resample_util_get_samplerate ()
void | ags_resample_util_set_samplerate ()
guint | ags_resample_util_get_target_samplerate ()
void | ags_resample_util_set_target_samplerate ()
void | ags_resample_util_compute_s8 ()
void | ags_resample_util_compute_s16 ()
void | ags_resample_util_compute_s24 ()
void | ags_resample_util_compute_s32 ()
void | ags_resample_util_compute_s64 ()
void | ags_resample_util_compute_float ()
void | ags_resample_util_compute_double ()
void | ags_resample_util_compute_complex ()
void | ags_resample_util_compute ()

## Types and Values

#define | AGS_RESAMPLE_UTIL_DEFAULT_TARGET_SAMPLERATE
#define | AGS_RESAMPLE_UTIL_INITIALIZER

## Object Hierarchy

        GBoxed
        ╰── AgsResampleUtil

## Includes

    #include <ags/audio/ags_resample_util.h>

## Description

Boxed type of resample util data type.

## Functions

### ags_resample_util_alloc ()

    AgsResampleUtil *
    ags_resample_util_alloc ();

Allocate AgsResampleUtil

#### Returns

a new AgsResampleUtil

Since: 3.9.2

### ags_resample_util_init ()

    void
    ags_resample_util_init (AgsResampleUtil *resample_util);

Init AgsResampleUtil

#### Parameters

resample_util | the original AgsResampleUtil |

Since: 5.5.1

### ags_resample_util_copy ()

    gpointer
    ags_resample_util_copy (AgsResampleUtil *ptr);

Create a copy of `ptr` .

#### Parameters

ptr | the original AgsResampleUtil |

#### Returns

a pointer of the new AgsResampleUtil

Since: 3.9.2

### ags_resample_util_free ()

    void
    ags_resample_util_free (AgsResampleUtil *ptr);

Free the memory of `ptr` .

#### Parameters

ptr | the AgsResampleUtil |

Since: 3.9.2

### ags_resample_util_get_destination ()

    gpointer
    ags_resample_util_get_destination (AgsResampleUtil *resample_util);

Get destination buffer of `resample_util` .

#### Parameters

resample_util | the AgsResampleUtil |

#### Returns

the destination buffer

Since: 3.9.2

### ags_resample_util_set_destination ()

    void
    ags_resample_util_set_destination (AgsResampleUtil *resample_util,
                                       gpointer destination);

Set `destination` buffer of `resample_util` .

#### Parameters

resample_util | the AgsResampleUtil |
destination | the destination buffer. | [transfer none]

Since: 3.9.2

### ags_resample_util_get_destination_stride ()

    guint
    ags_resample_util_get_destination_stride
                                   (AgsResampleUtil *resample_util);

Get destination stride of `resample_util` .

#### Parameters

resample_util | the AgsResampleUtil |

#### Returns

the destination buffer stride

Since: 3.9.2

### ags_resample_util_set_destination_stride ()

    void
    ags_resample_util_set_destination_stride
                                   (AgsResampleUtil *resample_util,
                                    guint destination_stride);

Set `destination` stride of `resample_util` .

#### Parameters

resample_util | the AgsResampleUtil |
destination_stride | the destination buffer stride |

Since: 3.9.2

### ags_resample_util_get_source ()

    gpointer
    ags_resample_util_get_source (AgsResampleUtil *resample_util);

Get source buffer of `resample_util` .

#### Parameters

resample_util | the AgsResampleUtil |

#### Returns

the source buffer

Since: 3.9.2

### ags_resample_util_set_source ()

    void
    ags_resample_util_set_source (AgsResampleUtil *resample_util,
                                  gpointer source);

Set `source` buffer of `resample_util` .

#### Parameters

resample_util | the AgsResampleUtil |
source | the source buffer. | [transfer none]

Since: 3.9.2

### ags_resample_util_get_source_stride ()

    guint
    ags_resample_util_get_source_stride (AgsResampleUtil *resample_util);

Get source stride of `resample_util` .

#### Parameters

resample_util | the AgsResampleUtil |

#### Returns

the source buffer stride

Since: 3.9.2

### ags_resample_util_set_source_stride ()

    void
    ags_resample_util_set_source_stride (AgsResampleUtil *resample_util,
                                         guint source_stride);

Set `source` stride of `resample_util` .

#### Parameters

resample_util | the AgsResampleUtil |
source_stride | the source buffer stride |

Since: 3.9.2

### ags_resample_util_get_buffer_length ()

    guint
    ags_resample_util_get_buffer_length (AgsResampleUtil *resample_util);

Get buffer length of `resample_util` .

#### Parameters

resample_util | the AgsResampleUtil |

#### Returns

the buffer length

Since: 3.9.2

### ags_resample_util_set_buffer_length ()

    void
    ags_resample_util_set_buffer_length (AgsResampleUtil *resample_util,
                                         guint buffer_length);

Set `buffer_length` of `resample_util` .

#### Parameters

resample_util | the AgsResampleUtil |
buffer_length | the buffer length |

Since: 3.9.2

### ags_resample_util_get_format ()

    AgsSoundcardFormat
    ags_resample_util_get_format (AgsResampleUtil *resample_util);

Get format of `resample_util` .

#### Parameters

resample_util | the AgsResampleUtil |

#### Returns

the format

Since: 3.9.6

### ags_resample_util_set_format ()

    void
    ags_resample_util_set_format (AgsResampleUtil *resample_util,
                                  AgsSoundcardFormat format);

Set `format` of `resample_util` .

#### Parameters

resample_util | the AgsResampleUtil |
format | the format |

Since: 3.9.6

### ags_resample_util_get_samplerate ()

    guint
    ags_resample_util_get_samplerate (AgsResampleUtil *resample_util);

Get samplerate of `resample_util` .

#### Parameters

resample_util | the AgsResampleUtil |

#### Returns

the samplerate

Since: 3.9.2

### ags_resample_util_set_samplerate ()

    void
    ags_resample_util_set_samplerate (AgsResampleUtil *resample_util,
                                      guint samplerate);

Set `samplerate` of `resample_util` .

#### Parameters

resample_util | the AgsResampleUtil |
samplerate | the samplerate |

Since: 3.9.2

### ags_resample_util_get_target_samplerate ()

    guint
    ags_resample_util_get_target_samplerate
                                   (AgsResampleUtil *resample_util);

Get target samplerate of `resample_util` .

#### Parameters

resample_util | the AgsResampleUtil |

#### Returns

the samplerate

Since: 3.9.2

### ags_resample_util_set_target_samplerate ()

    void
    ags_resample_util_set_target_samplerate
                                   (AgsResampleUtil *resample_util,
                                    guint target_samplerate);

Set `target_samplerate` of `resample_util` .

#### Parameters

resample_util | the AgsResampleUtil |
target_samplerate | the target samplerate |

Since: 3.9.2

### ags_resample_util_compute_s8 ()

    void
    ags_resample_util_compute_s8 (AgsResampleUtil *resample_util);

Compute resample of signed 8 bit data.

#### Parameters

resample_util | the AgsResampleUtil |

Since: 3.9.2

### ags_resample_util_compute_s16 ()

    void
    ags_resample_util_compute_s16 (AgsResampleUtil *resample_util);

Compute resample of signed 16 bit data.

#### Parameters

resample_util | the AgsResampleUtil |

Since: 3.9.2

### ags_resample_util_compute_s24 ()

    void
    ags_resample_util_compute_s24 (AgsResampleUtil *resample_util);

Compute resample of signed 24 bit data.

#### Parameters

resample_util | the AgsResampleUtil |

Since: 3.9.2

### ags_resample_util_compute_s32 ()

    void
    ags_resample_util_compute_s32 (AgsResampleUtil *resample_util);

Compute resample of signed 32 bit data.

#### Parameters

resample_util | the AgsResampleUtil |

Since: 3.9.2

### ags_resample_util_compute_s64 ()

    void
    ags_resample_util_compute_s64 (AgsResampleUtil *resample_util);

Compute resample of signed 64 bit data.

#### Parameters

resample_util | the AgsResampleUtil |

Since: 3.9.2

### ags_resample_util_compute_float ()

    void
    ags_resample_util_compute_float (AgsResampleUtil *resample_util);

Compute resample of floating point data.

#### Parameters

resample_util | the AgsResampleUtil |

Since: 3.9.2

### ags_resample_util_compute_double ()

    void
    ags_resample_util_compute_double (AgsResampleUtil *resample_util);

Compute resample of double floating point data.

#### Parameters

resample_util | the AgsResampleUtil |

Since: 3.9.2

### ags_resample_util_compute_complex ()

    void
    ags_resample_util_compute_complex (AgsResampleUtil *resample_util);

Compute resample of complex floating point data.

#### Parameters

resample_util | the AgsResampleUtil |

Since: 3.9.2

### ags_resample_util_compute ()

    void
    ags_resample_util_compute (AgsResampleUtil *resample_util);

Compute resample.

#### Parameters

resample_util | the AgsResampleUtil |

Since: 3.9.2

## Types and Values

### AGS_RESAMPLE_UTIL_DEFAULT_TARGET_SAMPLERATE

    #define AGS_RESAMPLE_UTIL_DEFAULT_TARGET_SAMPLERATE (AGS_SOUNDCARD_DEFAULT_SAMPLERATE)

### AGS_RESAMPLE_UTIL_INITIALIZER

    #define             AGS_RESAMPLE_UTIL_INITIALIZER